# $Id: speex.spec,v 1.1 2003/03/24 09:35:05 dude Exp $

Summary: An open-source, patent-free speech codec.
Name: speex
Version: 1.0
Release: fr1
License: BSD
Group: System Environment/Libraries
Source: http://www.speex.org/download/%{name}-%{version}.tar.gz
URL: http://www.speex.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: libogg
BuildRequires: libogg-devel

%description
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrowband 
and wideband quality. This project aims to be complementary to the Vorbis
codec.

%package devel
Summary: Speex development files.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Speex development files.

%prep
%setup -q

%build
export CFLAGS='%{optflags} -DRELEASE'
%configure --enable-shared --enable-static
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 755)
%doc COPYING AUTHORS ChangeLog NEWS README doc/manual.pdf
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root, 755)
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Mon Mar 24 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.
- Now exclude .la file.

* Thu Oct 03 2002 Jean-Marc Valin 
- Added devel package inspired from PLD spec file

* Tue Jul 30 2002 Fredrik Rambris <boost@users.sourceforge.net> 0.5.2
- Added buildroot and docdir and ldconfig. Makes it builadble by non-roots
  and also doesn't write to actual library paths when building.

